﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 545xx (1 yr) DC Calibrator IEEE /5820
DATE:                  2008-10-21 11:14:14
AUTHOR:                Fluke
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       70
CONFIGURATION:         Fluke 5820A
=============================================================================
#
#  Procedure Author:  DAC, DFM, ZY
#
#  Source:            Hewlett Packard publication 54542-97045
#
#  Model(s) Covered:  545xx series oscilloscopes
#
#  Compatibility:     MET/CAL 7.20 SP1 or later
#
#  Subprocedures:     None
#
#  Required Files:    None
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {DC CALIBRATOR AMPLITUDE}
  1.003  TARGET       -p
  1.004  TSET         UUT_RES = 0.001
  1.005  TARGET       -m
  1.006  IEEE         *RST
# Press UUT "Utility" key.
  1.007  IEEE         MENU UTIL
# Press UUT "Service Menu" softkey.
  1.008  IEEE         SYST:KEY 14
# Press UUT "cal select" key. ("1 DC CAL BNC verify", "dac output", "0 volt").
  1.009  IEEE         SYST:KEY 10
  1.010  5820         0.000V                                         VM N  2W
  1.011  WAIT         -t 2 System settling...
# Save UUT cal output baseline (0 volts) value.
  1.012  MATH         BaselineVal = MEM
# Calculate 5820A specifications at measured (~0 volts) baseline value.
  1.013  MATH         Acc0V = ACCV("Fluke 5820A", "Volts VM", BaselineVal)
# Normalize specs for 5820A VM function at 0 V.
  1.014  MATH         Acc0V = Acc0V / SQRT(3)
# Press UUT "cal select" key. ("1 DC CAL BNC verify", "dac output", "5 volt").
  1.015  IEEE         SYST:KEY 11
  1.016  5820         5.000V                                         VM N  2W
  1.017  WAIT         -t 2 System settling...
# Press UUT "EXIT MENU" key.
  1.018  IEEE         SYST:KEY 16
# Calculate 5820A specifications at measured (~5 volts) topline value.
  1.019  MATH         Acc5V = ACCV("Fluke 5820A", "Volts VM", MEM)
# Normalize specs for 5820A VM function at 5 V.
  1.020  MATH         Acc5V = Acc5V / SQRT(3)
# Compute difference between UUT cal output topline and baseline values.
  1.021  MATH         MEM = MEM - BaselineVal
# RSS normalized 0 and 5 V specifications and expand.
  1.022  MATH         L[1] = (RSS2(Acc0V, Acc5V)) * CONF("Fluke 5820A")
  1.023  ACC    5     V              L1U
  1.024  MEMC         5.000V         0.010U

# Clear the Menus
  2.001  IEEE         *RST
  2.002  END
